--[[
LuCI - Lua Configuration Interface - Transmission support

Copyright 2012 Gabor Varga <vargagab@gmail.com>

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

$Id$
]]--

require("luci.sys")
local command_output
f = SimpleForm("runcommand", translate("Run command"), translate("Here you can run a <em>custom shell command</em>. (Press Submit button for run the command!)<br />Please <strong>do not run interactive</strong> (like <em>fdisk</em>, <em>passwd</em>, etc.) or <strong>endless</strong> (like <em>top</em>, <em>ping</em>, etc.) <strong>commands</strong>, otherwise the <strong>LuCI will be unavailable</strong>! (In this case you can kill the command in terminal.)"))

command_caption = f:field(DummyValue, "command_caption", translate("Command to run"))
command_caption.anonymous = true
t_command = f:field(TextValue, "my_command")
t_command.rmempty = true
t_command.rows = 1


output_caption = f:field(DummyValue, "return_caption", translate("Command output"))
t_output = f:field(TextValue, "command_output")
t_output.rmempty = true
t_output.rows = 30
t_output.disables = yes

function t_output.cfgvalue()
	return command_output
end
        
function f.handle(self, state, data)
	if state == FORM_VALID then
		if data.my_command then
			command_output = luci.sys.exec(data.my_command)
		end
	end
	return true
end

return f
